[arch-commits] Commit in python-oslo-concurrency/repos (2 files)
Evangelos Foutras
foutrelis at archlinux.org
Wed Jul 18 03:07:06 UTC 2018
Date: Wednesday, July 18, 2018 @ 03:07:05
Author: foutrelis
Revision: 361559
archrelease: copy trunk to community-staging-any
Added:
python-oslo-concurrency/repos/community-staging-any/
python-oslo-concurrency/repos/community-staging-any/PKGBUILD
(from rev 361558, python-oslo-concurrency/trunk/PKGBUILD)
----------+
PKGBUILD | 63 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 63 insertions(+)
Copied: python-oslo-concurrency/repos/community-staging-any/PKGBUILD (from rev 361558, python-oslo-concurrency/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD (rev 0)
+++ community-staging-any/PKGBUILD 2018-07-18 03:07:05 UTC (rev 361559)
@@ -0,0 +1,63 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+
+pkgbase=python-oslo-concurrency
+pkgname=(python-oslo-concurrency python2-oslo-concurrency)
+pkgver=3.27.0
+pkgrel=2
+pkgdesc="OpenStack library for all concurrency-related code"
+arch=('any')
+url="https://pypi.python.org/pypi/oslo.concurrency/$pkgver"
+license=('Apache')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-pbr' 'python2-pbr' 'python-oslo-config'
+ 'python2-oslo-config' 'python-oslo-i18n' 'python2-oslo-i18n' 'python-oslo-utils'
+ 'python2-oslo-utils' 'python-fasteners' 'python2-fasteners' 'python2-enum34')
+checkdepends=('python-mock' 'python2-mock' 'python-oslotest' 'python2-oslotest' 'python-oslo-config'
+ 'python2-oslo-config' 'python-eventlet' 'python2-eventlet' 'python-testrepository'
+ 'python2-testrepository')
+options=('!emptydirs')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/openstack/oslo.concurrency/archive/$pkgver.tar.gz")
+sha512sums=('9b17243e18e3550c8251de02d37e650feea390dcd70573b2fe0a74af66ccaea199e3cc4b53f2b8e3d774d825118ef6f67cd23842b2f683f51ef1d6d4d39fe175')
+
+prepare() {
+ cp -a oslo.concurrency-$pkgver{,-py2}
+
+ export PBR_VERSION=$pkgver
+}
+
+build() {
+ cd "$srcdir"/oslo.concurrency-$pkgver
+ python setup.py build
+
+ cd "$srcdir"/oslo.concurrency-$pkgver-py2
+ python2 setup.py build
+}
+
+check() {
+ cd "$srcdir"/oslo.concurrency-$pkgver
+ python setup.py testr || warning "Tests failed"
+
+ cd "$srcdir"/oslo.concurrency-$pkgver-py2
+ PYTHON=python2 python2 setup.py testr || warning "Tests failed"
+}
+
+package_python-oslo-concurrency() {
+ depends=('python-six' 'python-pbr' 'python-oslo-config' 'python-oslo-i18n' 'python-oslo-utils'
+ 'python-fasteners')
+
+ cd "$srcdir"/oslo.concurrency-$pkgver
+ python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-oslo-concurrency() {
+ depends=('python2-six' 'python2-pbr' 'python2-oslo-config' 'python2-oslo-i18n'
+ 'python2-oslo-utils' 'python2-fasteners' 'python2-enum34')
+
+ cd "$srcdir"/oslo.concurrency-$pkgver-py2
+ python2 setup.py install --root="$pkgdir" --optimize=1
+
+ mv "$pkgdir"/usr/bin/lockutils-wrapper{,2}
+}
+
+# vim:set ts=2 sw=2 et:
More information about the arch-commits
mailing list